Subject: Bad news !

From: Zheng Gengbing <[email-masked]>
Date: Thu, 18 Apr 1996 11:35:23 +0800 (EAT)

Hi,
 
 I made a mistake yesterday when I tar the *1.37 , I include a wrong
FixSourceFiles . I attach a new one , please update the FixSourceFiles , 
and recompile the intr_call.c.

 So, now I am not sure the conclude that there is no core dump in 
testsuite.
 I re-run the make check in testsuite , and tar the record of testsuite 
separately in testsuite.tar.gz in ~/pact . Please reget it and make your
compare to our machine. After you get it , please delete it .

 Or you can reget whole  *1.37 , if it presents in ~/pact !

***************************************************************************
*     Zheng Gengbin                 *                                     *
*                                   *                                     *
*  Dept. of Computer Science        *  Phone:  86-10-2585088              *
*         & Technology              *  Email:                             *
*                                   *      [email-masked]   *
*  Peking University P.R.China      *  Mail:                              *
*                                   *      Room 1077 ,Building 47,        *
*                                   *      Peking University, P.R.China   *
***************************************************************************
#!/bin/sh

#
# by Zheng Gengbin
#        PACT group, Peking University , P.R.China
#

/bin/rm -f sed.cmd
/bin/rm -f tmp.cmd

#  create sed.cmd to change file  intr_call.c
if test $# = 1 
then
	intr_path=` (cd $1 ;  pwd )` 
	echo "s@\".*intrinsic\.lib\"@\"$intr_path/intrinsic.lib\"@"  > sed.cmd
else
	find . -name intrinsic.f  -print  | sed -e "s@^\.@`pwd`@" \
			      | sed -e "s/\.f$/\.lib/"  > tmp.cmd 2> /dev/null
	if  test `grep -c "intrinsic"  tmp.cmd` = 0 
  	then
		echo "  FixSourceFiles: Intrinsic library not found ."
  	else
		intr_path=`head -1 tmp.cmd`
		echo "s@\".*intrinsic\.lib\"@\"$intr_path\"@" > sed.cmd
	fi
fi

#   change the file intr_call.c
find .  -name intr_call.c -print > tmp.cmd
file1=`head -1 tmp.cmd`
modified=1
if  test -f sed.cmd 
then
  if  test x$file1 != x 
    then
	sed -f sed.cmd < $file1 > ${file1}~~0 
	cmp -s $file1 ${file1}~~0   
        status=$?
	if test  $status = 0
	then 
	     echo "  FixSourceFiles: source file $file1 unchanged ."
	     rm -f ${file1}~~0
	else
	     mv ${file1}~~0 $file1
	     echo "  FixSourceFiles: source file $file1 has been modified ."
             modified=0
	fi
    else 
	echo   "  FixSourceFiles: source file 'intr_call.c' not found . "
  fi
else
	echo   "  FixSourceFiles: source file 'intr_call.c' not modified ."
fi

#clean trash
/bin/rm -f tmp.cmd
/bin/rm -f sed.cmd

#bye bye
exit 0